osl::SendOffSquare Struct Reference

送り金のような玉で取ると利きがはずれる駒が発生するマスを調査 More...

`#include <sendOffSquare.h>`

## Classes

struct | Table

## Public Types

typedef uint8_t | SendOff8

## Public Member Functions

template<osl::Player Attack>
osl::effect_util::SendOffSquare::SendOff8 | find (const NumEffectState &state, Square king_square, Square8 &out)

## Static Public Member Functions

template<Player Attack>
static bool | onlyOneSupport (const NumEffectState &state, Square target)
template<Player Attack>
static SendOff8 | find (const NumEffectState &state, Square king_position, Square8 &out)
static SendOff8 | find (Player attack, const NumEffectState &state, Square king_position, Square8 &out)
static SendOff8 | invalidData ()
static void | unpack (SendOff8, Square king, Square8 &out)
static void | init ()

## Static Private Member Functions

template<Player Attack>
static void | testSquare (const NumEffectState &state, Square candidate, int id, int &out)

## Static Private Attributes

static Table | table

## Detailed Description

送り金のような玉で取ると利きがはずれる駒が発生するマスを調査

Definition at line 16 of file sendOffSquare.h.

## Member Typedef Documentation

## SendOff8

typedef uint8_t osl::effect_util::SendOffSquare::SendOff8

Definition at line 18 of file sendOffSquare.h.

## Member Function Documentation

## find() [1/3]

template<Player Attack>

SendOff8 osl::effect_util::SendOffSquare::find | ( | const NumEffectState & | state,
|  | Square | king_position,
|  | Square8 & | out )

static

## find() [2/3]

template<osl::Player Attack>

osl::effect_util::SendOffSquare::SendOff8 osl::effect_util::SendOffSquare::find | ( | const NumEffectState & | state,
|  | Square | king_square,
|  | Square8 & | out )

Definition at line 67 of file sendOffSquare.cc.

## find() [3/3]

osl::effect_util::SendOffSquare::SendOff8 osl::effect_util::SendOffSquare::find | ( | Player | attack,
|  | const NumEffectState & | state,
|  | Square | king_position,
|  | Square8 & | out )

static

Definition at line 103 of file sendOffSquare.cc.

## init()

void osl::effect_util::SendOffSquare::init | ( |  | ) |

inline static

Definition at line 43 of file sendOffSquare.h.

## invalidData()

SendOff8 osl::effect_util::SendOffSquare::invalidData | ( |  | ) |

inline static

Definition at line 34 of file sendOffSquare.h.

## onlyOneSupport()

template<Player Attack>

bool osl::effect_util::SendOffSquare::onlyOneSupport | ( | const NumEffectState & | state,
|  | Square | target )

inline static

Definition at line 20 of file sendOffSquare.h.

## testSquare()

template<Player Attack>

void osl::effect_util::SendOffSquare::testSquare | ( | const NumEffectState & | state,
|  | Square | candidate,
|  | int | id,
|  | int & | out )

inline static private

Definition at line 47 of file sendOffSquare.h.

## unpack()

void osl::effect_util::SendOffSquare::unpack | ( | SendOff8 | flags8,
|  | Square | king,
|  | Square8 & | out )

static

Definition at line 90 of file sendOffSquare.cc.

## Member Data Documentation

## table

osl::effect_util::SendOffSquare::Table osl::effect_util::SendOffSquare::table

static private

Definition at line 45 of file sendOffSquare.h.

The documentation for this struct was generated from the following files:

- sendOffSquare.h
- sendOffSquare.cc